#.Char.Attrs


Background
p
i

Blink
p
b

Bold
p
b

Foreground
p
i

Normal
p
b

Reverse
p
b

Underline
p
b

#.ColorInfo


Blue
P
i

Green
P
i

Red
P
i

#Attr


Blink
C
i
524288
Bold
C
i
2097152
Normal
C
i
0
Reverse
C
i
262144
Underline
C
i
131072
#Border


ACS
C
i
2
Ascii
C
i
1
None
C
i
0
#Color


Black
C
i
0
Blue
C
i
4
Cyan
C
i
6
Green
C
i
2
Magenta
C
i
5
Red
C
i
1
White
C
i
7
Yellow
C
i
3
Set
M

(Color)i(R)i(G)i(B)i
_get
M
.ColorInfo
(Index)i
Available
R
b

CanChange
R
b

Count
R
i

#Cursor


Hidden
C
i
0
VeryVisible
C
i
2
Visible
C
i
1
#Input


CBreak
C
i
1
Cooked
C
i
0
NoTimeout
C
i
-1
Raw
C
i
2
#Key


Backspace
C
i
263
Break
C
i
257
Down
C
i
258
Enter
C
i
343
Esc
C
i
27
F1
C
i
265
F10
C
i
274
F11
C
i
275
F12
C
i
276
F2
C
i
266
F3
C
i
267
F4
C
i
268
F5
C
i
269
F6
C
i
270
F7
C
i
271
F8
C
i
272
F9
C
i
273
Home
C
i
262
Left
C
i
260
PageDown
C
i
338
PageUp
C
i
339
Return
C
i
10
Right
C
i
261
Up
C
i
259
_get
M
i
(Key)s
#Pair


_get
M
i
(Fore)i(Back)i
Count
R
i

#Screen

A
:Resize
:


Beep
M


Flash
M


Refresh
M


Resize
M

(Lines)i(Cols)i
_init
M


Cursor
P
i

Echo
P
b

H
P
i

Height
P
i

Input
P
i

W
P
i

Width
P
i

#Window

CA
:Read
:


Ask
m
s
(Opts)s[(Tries)i]
Center
m


Clear
m


Cls
m


Drain
m


DrawHLine
m

(X)i(Y)i(Len)i(C)s
DrawVLine
m

(X)i(Y)i(Len)i(C)s
Get
m
s
[(X)i(Y)i(Len)i]
Hide
m


Locate
m

(X)i(Y)i
Lower
m


Move
m

[(X)i(Y)i]
Print
m

(Text)s[(X)i(Y)i(Attr)i(Pair)i]
PrintCenter
m

(Text)s[(Attr)i(Pair)i]
Raise
m


Read
m
i
[(Timeout)i]
ReadLine
m
s

Resize
m

[(W)i(H)i]
SetFocus
m


SetFullscreen
m


Show
m


_free
m


_get
m
.Char.Attrs
(Y)i(X)i
_new
m

[(BorderFrame)b(X)i(Y)i(W)i(H)i]
Attributes
p
i

Background
p
i

Border
p
i

Buffered
p
b

Caption
p
s

CursorX
p
i

CursorY
p
i

Foreground
p
i

H
p
i

Height
p
i

Pair
p
i

Paper
p
i

Pen
p
i

W
p
i

Width
p
i

Wrap
p
b

X
p
i

Y
p
i

